import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonType } from '../button/buttonType.enum';

@Component({
  selector: 'app-custom-modal',
  templateUrl: './custom-modal.component.html',
  styleUrls: ['./custom-modal.component.scss'],
})
export class CustomModalComponent {
  @Input() public openned: boolean;
  @Input() public content: string;
  @Input() public hideTitle?: boolean;
  @Input() public customTitle?: string;
  @Input() public customValidationButton?: string;
  @Input() public customCancelButton?: string;
  @Output() closed = new EventEmitter<boolean>();
  public buttonTypeEnum = ButtonType;

  public closeModal(value: boolean): void {
    this.closed.emit(value);
  }
}
